#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

#[PARAMTRAGE DES SOUS-TITRES]

if [ "$Sub1_cd1" ]
then
	if [ "$Vobsubid1" ]
	then
		export Sub1_1="-vobsubid $Vobsubid1 -vobsub "
	elif [ "$Vobsubid" ]
	then
		export Sub1_1="-vobsubid $Vobsubid -vobsub "
	else
		export Sub1_1="-sub "
	fi
	export Subtitles1_cd1="$Sub1_cd1"
else
	export Subtitles1_cd1="-noautosub" SUBTITLES_ONE=""
fi

if [ "$Sub1_cd2" ]
then
	if [ "$Vobsubid1" ]
	then
		export Sub1_2="-vobsubid $Vobsubid1 -vobsub "
	elif [ "$Vobsubid" ]
	then
		export Sub1_2="-vobsubid $Vobsubid -vobsub "
	else
		export Sub1_2="-sub "
	fi
	export Subtitles1_cd2="$Sub1_cd2"
else
	export Subtitles1_cd2="-noautosub"
fi

if [ "$Sub2_cd1" ]
then
	if [ "$Vobsubid2" ]
	then
		export Sub2_1="-vobsubid $Vobsubid2 -vobsub "
	elif [ "$Vobsubid" ]
	then
		export Sub2_1="-vobsubid $Vobsubid -vobsub "
	else
		export Sub2_1="-sub "
	fi
	export Subtitles2_cd1="$Sub2_cd1"
else
	export Subtitles2_cd1="-noautosub" SUBTITLES_TWO=""
fi

if [ "$Sub2_cd2" ]
then
	if [ "$Vobsubid2" ]
	then
		export Sub2_2="-vobsubid $Vobsubid2 -vobsub "
	elif [ "$Vobsubid" ]
	then
		export Sub2_2="-vobsubid $Vobsubid -vobsub "
	else
		export Sub2_2="-sub "
	fi
	export Subtitles2_cd2="$Sub2_cd2"
else
	export Subtitles2_cd2="-noautosub"
fi

#[GESTION DCALAGE SOUS-TITRES]

if [ "$Subdelay1_cd1" ]
then
	export SUBDELAY1CD1=" -subdelay $Subdelay1_cd1"
fi

if [ "$Subdelay1_cd2" ]
then
	export SUBDELAY1CD2=" -subdelay $Subdelay1_cd2"
fi

if [ "$Subdelay2_cd1" ]
then
	export SUBDELAY2CD1=" -subdelay $Subdelay2_cd1"
fi

if [ "$Subdelay2_cd2" ]
then
	export SUBDELAY2CD2=" -subdelay $Subdelay2_cd2"
fi

#[GESTION DCALAGE SOUS-TITRES - ANCIENNES MTHODES]

if [ "$Subdelay1" ]
then
	export SUBDELAY1CD1=" -subdelay $Subdelay1" SUBDELAY1CD2=" -subdelay $Subdelay1"
fi
if [ "$Subdelay2" ]
then
	export SUBDELAY2CD1=" -subdelay $Subdelay2" SUBDELAY2CD2=" -subdelay $Subdelay2"
fi
if [ "$Subdelay" ] && [ "$Sub1_cd1" ]
then
	export SUBDELAY1CD1=" -subdelay $Subdelay" SUBDELAY1CD2=" -subdelay $Subdelay"
elif [ "$Subdelay" ] && [ "$Sub2_cd1" ]
then
	export SUBDELAY2CD1=" -subdelay $Subdelay" SUBDELAY2CD2=" -subdelay $Subdelay"
fi

#[ASPECT DES SOUS-TITRES]

if [ "$Subscale" -le "3" ] && [ "$Subscale" ]
then
	export Subaspect=" -subfont-autoscale $Subscale"
fi 2>/dev/null

#[MENU_MODE DEBUG]

if [ ! "$Menu_mode" ] || ([ "$Time2" ] && [ "$Sub2_cd1" ])
then
	Menu_mode="4"
elif [ ! "$Time2" ] && [ "$Sub2_cd1" ]
then
	Menu_mode="3"
fi

if [ "$Menu_mode" = "1" ]
then
	Ligne=2
elif [ "$Menu_mode" -lt "4" ]
then
	Ligne=3
else
	Ligne=4
fi

#[INTITULS AUDIO]

if [ ! "$Audiotitle1" ]
then
	export Audiotitle1="Audio 1"
fi

if [ ! "$Audiotitle2" ]
then
	export Audiotitle2="Audio 2"
fi

#[GESTION DCALAGE AUDIO]

if [ "$Audiodelay1_cd1" ]
then
	export AUDIODELAY1CD1=" -delay $Audiodelay1_cd1"
fi

if [ "$Audiodelay1_cd2" ]
then
	export AUDIODELAY1CD2=" -delay $Audiodelay1_cd2"
fi

if [ "$Audiodelay2_cd1" ]
then
	export AUDIODELAY2CD1=" -delay $Audiodelay2_cd1"
fi

if [ "$Audiodelay2_cd2" ]
then
	export AUDIODELAY2CD2=" -delay $Audiodelay2_cd2"
fi

#[GESTION DCALAGE AUDIO - ANCIENNES MTHODES]

if [ "$Audiodelay1" ]
then
	export AUDIODELAY1CD1=" -delay $Audiodelay1" AUDIODELAY1CD2=" -delay $Audiodelay1"
fi
if [ "$Audiodelay2" ]
then
	export AUDIODELAY2CD1=" -delay $Audiodelay2" AUDIODELAY2CD2=" -delay $Audiodelay2"
fi

#[GESTION DES VIGNETTES]

if [ -f $DIRNAME/"$Pict_dir"/"$Picture1" ]
then
	cp $DIRNAME/"$Pict_dir"/"$Picture1" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture1"
elif [ -f $cd1/"$Pict_dir"/"$Picture1" ]
then
	cp $cd1/"$Pict_dir"/"$Picture1" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture1"
fi

if [ -f $DIRNAME/"$Pict_dir"/"$Picture2" ]
then
	cp $DIRNAME/"$Pict_dir"/"$Picture2" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture2"
elif [ -f $cd1/"$Pict_dir"/"$Picture2" ]
then
	cp $cd1/"$Pict_dir"/"$Picture2" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture2"
fi

if [ -f $DIRNAME/"$Pict_dir"/"$Picture3" ]
then
	cp $DIRNAME/"$Pict_dir"/"$Picture3" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture3"
elif [ -f $cd1/"$Pict_dir"/"$Picture3" ]
then
	cp $cd1/"$Pict_dir"/"$Picture3" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture3"
fi

#[ASPECTRATIO]

if [ "$Aspectratio" ]
then
	export ASPECTRATIO=" -aspect $Aspectratio"
fi

#[VRIFICATION PANSCAN]

PANVALUE1=`grep Panscan /tmp/xchaman.tmp/param | cut -f 2 -d "=" | sed 's/"//g' | cut -f 1 -d "."`
PANVALUE2=`grep Panscan /tmp/xchaman.tmp/param | cut -f 2 -d "=" | sed 's/"//g' | cut -f 2 -d "."`
if ([ "$PANVALUE1" = "1" ] && [ "$PANVALUE2" = "0" ]) || ([ "$PANVALUE1" = "0" ] && [ "$PANVALUE2" -le "9" ])
then
	export Pan=" -panscan $Panscan"
fi

#[MENU_MODE]

cat << EOF > /tmp/xchaman.tmp/menu
#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

#[LECTURE VIDEO AUDIO 1 CD 1]

PlayA1()
{

mplayer -nojoystick -nolirc -nortc -stop-xscreensaver -fs$ASPECTRATIO$AUDIODELAY1CD1$Pan$Subaspect $Sub1_1"$Subtitles1_cd1"$SUBDELAY1CD1 "$Movie"

}

DetectA2()
{

if [ "$Movie2" ]
then
	SearchA2
else
	rm -f /tmp/xchaman.tmp/*
fi

}

#[LECTURE VIDEO AUDIO 1 CD 2]

PlayA2()
{

mplayer -nojoystick -nolirc -nortc -stop-xscreensaver -fs$ASPECTRATIO$AUDIODELAY1CD2$Pan$Subaspect $Sub1_2"$Subtitles1_cd2"$SUBDELAY1CD2 "$Movie2"

}

#[RECHERCHE VIDEO AUDIO 1 CD 2]

SearchA2()
{

if [ -e $cd2/"$Directory2"/"$Movie2" ]
then
	cd $cd2/"$Directory2"
	PlayA2
	rm -f /tmp/xchaman.tmp/*
elif [ -e $cd1/"$Directory2"/"$Movie2" ]
then
	cd $cd1/"$Directory2"
	PlayA2
	rm -f /tmp/xchaman.tmp/*
else
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject $cd2
		else
			eject $cd1
		fi
	fi
DIALOG=Xdialog

\$DIALOG --title "$CALL_CD2_TITLE" \\
	--icon /usr/local/XChaMan-$XCM_VERSION/data/cdrom.xpm \\
        --yesno "$CALL_CD2_MESSAGE" 200x100

case \$? in
  0)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
			if [ ! "`grep "$cd2" /etc/mtab`" ]
			then
				mount $cd2
			fi
		else
			eject -t $cd1
			if [ ! "`grep "$cd1 " /etc/mtab`" ]
			then
				mount $cd1
			fi
		fi
	fi
	SearchA2 ;;
  1)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
		else
			eject -t $cd1
		fi
	fi
	rm -f /tmp/xchaman.tmp/* ;;
  255)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
		else
			eject -t $cd1
		fi
	fi
	rm -f /tmp/xchaman.tmp/* ;;
esac
fi

}

#[RECHERCHE VIDEO AUDIO 1 CD 1]

SearchA1()
{

if [ -e $DIRNAME/"$Directory"/"$Movie" ]
then
	cd $DIRNAME/"$Directory"
	PlayA1
	DetectA2
elif [ -e $cd1/"$Directory"/"$Movie" ]
then
	cd $cd1/"$Directory"
	PlayA1
	DetectA2
elif [ -e $cd2/"$Directory"/"$Movie" ]
then
	cd $cd2/"$Directory"
	PlayA1
	DetectA2
elif [ -e "$Movie" ]
then
	PlayA1
	DetectA2
elif [ -e $POSITION/"$Directory"/"$Movie" ]
then
	cd $POSITION/"$Directory"
	PlayA1
	DetectA2
else
echo -e "\a"
DIALOG=Xdialog

\$DIALOG --title "$ERROR_TITLE" \\
	--icon "/usr/local/XChaMan-$XCM_VERSION/data/warning.xpm" \\
        --msgbox "$ERROR_MESSAGE_ONE !
$ERROR_MESSAGE_TWO." 0 0

case \$? in
  0)
	rm -f /tmp/xchaman.tmp/* ;;
  255)
	rm -f /tmp/xchaman.tmp/* ;;
esac
fi
}

#[LECTURE VIDEO AUDIO 2 CD 1]

PlayB1()
{

mplayer -nojoystick -nolirc -nortc -stop-xscreensaver -fs$ASPECTRATIO$AUDIODELAY2CD1$Pan$Subaspect -aid 2 $Sub2_1"$Subtitles2_cd1"$SUBDELAY2CD1 "$Movie"

}

DetectB2()
{

if [ "$Movie2" ]
then
	SearchB2
else
	rm -f /tmp/xchaman.tmp/*
fi

}

#[LECTURE VIDEO AUDIO 2 CD 2]

PlayB2()
{

mplayer -nojoystick -nolirc -nortc -stop-xscreensaver -fs$ASPECTRATIO$AUDIODELAY2CD2$Pan$Subaspect -aid 2 $Sub2_2"$Subtitles2_cd2"$SUBDELAY2CD2 "$Movie2"

}

#[RECHERCHE VIDEO AUDIO 2 CD 2]

SearchB2()
{

if [ -e $cd2/"$Directory2"/"$Movie2" ]
then
	cd $cd2/"$Directory2"
	PlayB2
	rm -f /tmp/xchaman.tmp/*
elif [ -e $cd1/"$Directory2"/"$Movie2" ]
then
	cd $cd1/"$Directory2"
	PlayB2
	rm -f /tmp/xchaman.tmp/*
else
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject $cd2
		else
			eject $cd1
		fi
	fi
DIALOG=Xdialog

\$DIALOG --title "$CALL_CD2_TITLE" \\
	--icon /usr/local/XChaMan-$XCM_VERSION/data/cdrom.xpm \\
        --yesno "$CALL_CD2_MESSAGE" 200x100

case \$? in
  0)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
			if [ ! "`grep "$cd2" /etc/mtab`" ]
			then
				mount $cd2
			fi
		else
			eject -t $cd1
			if [ ! "`grep "$cd1 " /etc/mtab`" ]
			then
				mount $cd1
			fi
		fi
	fi
	SearchB2 ;;
  1)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
		else
			eject -t $cd1
		fi
	fi
	rm -f /tmp/xchaman.tmp/* ;;
  255)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
		else
			eject -t $cd1
		fi
	fi
 	rm -f /tmp/xchaman.tmp/* ;;
esac
fi
}

#[RECHERCHE VIDEO AUDIO 2 CD 1]

SearchB1()
{
if [ -e $DIRNAME/"$Directory"/"$Movie" ]
then
	cd $DIRNAME/"$Directory"
	PlayB1
	DetectB2
elif [ -e $cd1/"$Directory"/"$Movie" ]
then
	cd $cd1/"$Directory"
	PlayB1
	DetectB2
elif [ -e $cd2/"$Directory"/"$Movie" ]
then
	cd $cd2/"$Directory"
	PlayB1
	DetectB2
elif [ -e "$Movie" ]
then
	PlayB1
	DetectB2
elif [ -e $POSITION/"$Directory"/"$Movie" ]
then
	cd $POSITION/"$Directory"
	PlayB1
	DetectB2
else
echo -e "\a"
DIALOG=Xdialog

\$DIALOG --title "$ERROR_TITLE" \\
	--icon "/usr/local/XChaMan-$XCM_VERSION/data/warning.xpm" \\
        --msgbox "$ERROR_MESSAGE_ONE !
$ERROR_MESSAGE_TWO." 0 0

case \$? in
  0)
    rm -f /tmp/xchaman.tmp/* ;;
  255)
    rm -f /tmp/xchaman.tmp/* ;;
esac
fi

}

CHOICE=\`Xdialog --stdout --title "X-ChaMan-$XCM_VERSION - Player : MPlayer" \\
--backtitle "$Title. $MOVIE_TIME : $Duree" \\
--icon "/tmp/xchaman.tmp/$Picture1" \\
--help "$HELP_MESSAGE_ONE Xdialog : http://www.chez.com/godefroy\n\nX-ChaMan $HELP_MESSAGE_TWO MPlayer : http://www.mplayerhq.hu\n$HELP_MESSAGE_THREE Xine : http://xine.sourceforge.net/\n\nX-ChaMan $HELP_MESSAGE_FOUR (GNU/GPL)\n\n$HELP_MESSAGE_FIVE <twocats@free.fr>\nX-ChaMan-$XCM_VERSION (c) 2002-2004 Dominique Biendin\nHome page : http://twocats.free.fr" \\
--left \\
--no-tags \\
--radiolist "==============================\nX-ChaMan v. $XCM_VERSION\nChapter Manager for DivX Movies.\n==============================" 0 0 $Ligne \\
EOF
if [ "$Menu_mode" = "1" ]
then
cat << EOF >> /tmp/xchaman.tmp/menu
"vf"  "\$MENU_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \`
for i in \$CHOICE ; do
		case \$i in
			vf)
			SearchA1 ;;
		esac
	done
EOF
elif [ "$Menu_mode" = "2" ]
then
cat << EOF >>/tmp/xchaman.tmp/menu
"vf"  "$MENU_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \\
"chapters"  "$MENU_CHAPTERS_ACCESS" off\`
	for i in \$CHOICE ; do
		case \$i in
			vf)
			SearchA1 ;;
			chapters)
			export Lang="${Sub1_1}\"${Subtitles1_cd1}\"" Lang2="${Sub2_1}\"${Subtitles1_cd2}\""
			export AUDIO_ID="1" Version="$Audiotitle1 $SUBTITLES_ONE"
			/usr/local/XChaMan-$XCM_VERSION/data/chapters.sh ;;
		esac
	done
EOF
elif [ "$Menu_mode" = "3" ]
then
cat << EOF >>/tmp/xchaman.tmp/menu
"vf"  "$MENU_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \\
"vo"  "$MENU_BUTTON_TWO - $Audiotitle2 $SUBTITLES_TWO" off\`
	for i in \$CHOICE ; do
		case \$i in
			vf)
			SearchA1 ;;
			vo)
			SearchB1 ;;
		esac
	done
EOF
elif [ "$Menu_mode" = "4" ]
then
cat << EOF >>/tmp/xchaman.tmp/menu
"vf"  "$MENU_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \\
"vo"  "$MENU_BUTTON_TWO - $Audiotitle2 $SUBTITLES_TWO" off \\
"chapters"  "$MENU_CHAPTERS_ACCESS" off\`
for i in \$CHOICE ; do
	case \$i in
		vf)
		SearchA1 ;;
		vo)
		SearchB1 ;;
		chapters)
		/usr/local/XChaMan-$XCM_VERSION/data/language.sh ;;
	esac
done
EOF
fi
chmod a+x /tmp/xchaman.tmp/menu
exec /tmp/xchaman.tmp/menu
